## ros-indigo-concert-master 0.6.11

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_master)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/concert_info
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SolutionConfiguration.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SolutionConfiguration.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SolutionConfiguration"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SolutionConfiguration"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ros-indigo-concert-master (0.6.11-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.10-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.9-1trusty) trusty; urgency=high

  * default webserver address is now webapp.robotconcert.org closes #295 <https://github.com/robotics-in-concert/rocon_concert/issues/295>
  * expose disable cache arg closes #294 <https://github.com/robotics-in-concert/rocon_concert/issues/294>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.8-1trusty) trusty; urgency=high

  * add concert_software_farmer is missing dependency clsoses #289 <https://github.com/robotics-in-concert/rocon_concert/issues/289>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.7-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.6-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.5-1trusty) trusty; urgency=high

  * more doc strings
  * create doc string for roslaunch
  * disable zerocon option available
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.4-1trusty) trusty; urgency=high

  * add graph to stringpublihser closes #270 <https://github.com/robotics-in-concert/rocon_concert/issues/270>
  * Merge branch 'indigo' into admin_app_patch
  * rename software_manager as software_farmer
  * change name of auto enable service argument
  * add the concert_name arg in service manager launcher
  * Merge branch 'indigo' into software_farm
  * draft of software manager
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.3-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-concert-master (0.6.2-1trusty) trusty; urgency=high

  * add webserver_address param resolves #251 <https://github.com/robotics-in-concert/rocon_concert/issues/251>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-concert-master (0.6.1-1trusty) trusty; urgency=high

  * add option to start rosbridge with concert.
  * add arg comments for all command. fix typo #247 <https://github.com/robotics-in-concert/rocon_concert/issues/247>
  * now auto enable services are selectable
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-master (0.6.0-1trusty) trusty; urgency=high

  * documentation for the concert conductor.
  * documentation for the concert conductor.
  * documentation for concert master.
  * use proper lists for hubs/concerts now roslaunch can handle it.
  * enable preemption as an option in the compatibility tree scheduler.
  * fixed typo in concert master launch. services were getting enabled by default irrepective of parameter
  * expose gateway_unavailable_timeout as an arg
  * simplify concert info script.
  * updating concert info to sync with rocon master info
  * rocon_service -> concert_service
  * Merge branch 'hydro-devel' into indigo
  * oops used arg instead of param
  * rosbridge parameter passing
  * integrating jack's scheduler.
  * minor comment updates.
  * scheduler launchers.
  * new more flexible scheduler arg speciification and defaults.
  * doc update
  * fix install rule for concert master script.
  * middle of service configuration update.
  * fix install rule for concert master script.
  * Merge branch 'hydro-devel' into parameter_overriding
  * shadow type added
  * doc tyop
  * rename name to resource
  * now depending on rocon_icons for its own icons.
  * merging hydro-devel
  * Merge branch 'hydro-devel' into parameter_overriding
  * concert info now going via rocon_master_info.
  * solution service configuration added
  * description updae
  * service argument now serves service list resource location
  * interactions moved to rocon_tools, also updates for the rocon_utilities breakup.
  * update service doc
  * update service document
  * remove last vestiges of the demo scheduler.
  * typo fixes
  * init doc
  * interactions upgrades for master, service manager and chatter.
  * pass command line args through the concert_info scripot.
  * implement service exports instead of service lists, closes #175 <https://github.com/robotics-in-concert/rocon_concert/issues/175>
  * concert version in concert info.
  * update for recently moved modules to rocon_tools, also platform_tuples refactoring.
  * concert_roles -> rocon_interactions
  * remove legacy references to concert_orchestra.
  * use an environment variable for setting the gateway network interface on
    multiple interface machines.
  * rename dependency on concert_schedulers correctly, closes #149 <https://github.com/robotics-in-concert/rocon_concert/issues/149>
  * gateway network interface.
  * working towards the compatibility tree scheduler.
  * exposed args should use defaults, not values
  * Set up an arg to transfer a scheduler type through.
  * Remove legacy master.
  * No more dependency on concert_service
    All has gone to the concert_service_manager.
  * scheduler -> scheduler.py
  * a pirate launcher for testing.
  * configure the hub arguments in the concert master launcher.
  * invite local clients only (good for testing), closes #108 <https://github.com/robotics-in-concert/rocon_concert/issues/108>
  * external shutdown hooks for gateway and hub.
  * revert role manager loader - not needed.
  * reverting roles_and apps argument


=== debian/control ===
Source: ros-indigo-concert-master
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-indigo-catkin
Homepage: http://ros.org/wiki/concert_master
Standards-Version: 3.9.2

Package: ros-indigo-concert-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-conductor, ros-indigo-concert-msgs, ros-indigo-concert-schedulers, ros-indigo-concert-service-manager, ros-indigo-concert-software-farmer, ros-indigo-rocon-console, ros-indigo-rocon-gateway, ros-indigo-rocon-hub, ros-indigo-rocon-icons, ros-indigo-rocon-interactions, ros-indigo-rocon-master-info, ros-indigo-rocon-python-comms, ros-indigo-rocon-python-utils, ros-indigo-rocon-std-msgs, ros-indigo-rosbridge-server, ros-indigo-rospy, ros-indigo-zeroconf-avahi
Description: General concert functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-master//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
